ambrowse
========

ambrowse extracts book metadata from saved amazon.com, amazon.co.uk or amazon.de pages. It watches the directory 'ambrowse'
inside your HOME, digests newly written files and adds the metadata to a list in 'books.yaml'. It then removes those files
after a time delay, leaving only the metadata list.

You can find releases on [releases.gutmet.org](https://releases.gutmet.org) or build it yourself.

build
=====

If you want to build ambrowse yourself, you need go1.11+ with module support. Clone this repository and type 'go build ambrowse.go'.

quick start
===========

Download a release from [releases.gutmet.org](https://releases.gutmet.org) and unzip it. Put the correct file for your operating system
somewhere you can run it. Then start a command line:

```
> ambrowse
2019/01/13 19:06:34 ambrowse is watching /home/johndoe/ambrowse
```

Go to amazon, visit a book page and save it to the folder ambrowse is watching.

```
2019/01/13 19:06:40 Reading metadata from /home/johndoe/ambrowse/Metallbearbeitung II: Verbindungstechniken, Gebrauchsgegenstaende aus Metall ALS-Werk- und Arbeitsmappen: Amazon.de: Ingrid Kreide, Wolfram Enders: Buecher.html
```

If you are on Unix or MacOS, you will get a desktop notification about the extracted metadata. You might want to add the watched folder to your favorites to reduce the number of clicks and add ambrowse to the services that are automatically started. I recommend using an anonymity service when browsing amazon, such as the TOR browser.


example
=======

The file 'books.yaml' inside the watched folder might look like this:

```
---

title: "Essential Bushcraft"
authors: [Ray Mears (Autor)]
publisher: "Hodder & Stoughton General Division; Auflage: Reprint (23. Juni 2003)"
isbn10: 0340829710
isbn13: 978-0340829714
amazonPrice: "EUR 24,01"

---

title: "Ray Mears Outdoor Survival Handbook: The Classic Indispensable Guide to 
Surviving the Outdoors"
authors: [Ray Mears (Autor)]
publisher: "Ebury Press (30. Mai 2001)"
isbn10: 0091878861
isbn13: 978-0091878863
amazonPrice: "EUR 20,35"
```

So far it seems like this format is bookseller-parseable.

systemd setup
=============

Those afflicted by systemd (my sympathies) can put something like this in /etc/systemd/user/ambrowse.service:

```
[Unit]
Description=ambrowse

[Service]
Type=simple
ExecStart=/home/johndoe/path/to/ambrowse

[Install]
WantedBy=default.target
```

Run 'systemctl --user start ambrowse' to test and 'systemctl --user enable ambrowse' to permanently enable.